## Developing

### Setup

First, set up your development environment using the same instructions on the [Readme](README.md).

### Testing

Flasher.js uses mocha for running tests. You can run them with:

```
npm test
```

## Submitting Pull Requests

**Please follow these basic steps to simplify pull request reviews.**

* Please be sure your fork has the latest pull from master
* Run ```npm install``` to make sure your development dependencies are up-to-date
* Please ensure the test suite passes before submitting a PR
* If you've added new functionality, *please include tests* which validate its behaviour
* Make reference to possible [issues](https://github.com/thingssdk/flasher.js/issues) on your PR comment

## Submitting bug reports

* Please detail the affected board (e.g. Adafruit Huzzah Feather), firmware/binary name and version, and operating system(s)
* Please be sure to state which version of node **and** npm you're using